Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1510348 - (CVE-2017-14992) CVE-2017-14992 docker: Lack of content verification
CVE-2017-14992 docker: Lack of content verification
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20171003,repor...
: Security
Depends On: 1510352 1510351
Blocks: 1510354
  Show dependency treegraph
 
Reported: 2017-11-07 04:30 EST by Andrej Nemec
Modified: 2018-04-17 21:27 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-17 21:27:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2017-11-07 04:30:45 EST
Lack of content verification in Docker allows a remote attacker to cause a Denial of Service via a crafted image layer payload, aka gzip bombing.

References:

https://blog.cloudpassage.com/2017/10/13/discovering-docker-cve-2017-14992/

Upstream issue:

https://github.com/moby/moby/issues/35075
Comment 1 Andrej Nemec 2017-11-07 04:31:26 EST
Created docker tracking bugs for this issue:

Affects: fedora-all [bug 1510351]


Created docker-latest tracking bugs for this issue:

Affects: fedora-all [bug 1510352]
Comment 2 Antonio Murdaca 2017-11-08 03:30:18 EST
CVE fix back ported to all docker branches, moving to POST for rebuild

Note You need to log in before you can comment on or make changes to this bug.